## Class template invoke_manipulator

boost::log::invoke_manipulator

## Synopsis

    // In header: <boost/log/utility/manipulators/invoke.hpp>

    template<typename FunctionT>
    class invoke_manipulator {
    public:
      // construct/copy/destruct
      explicit invoke_manipulator(FunctionT const &);
      explicit invoke_manipulator(FunctionT &&);

      // public member functions
      template<typename StreamT> void output(StreamT &) const;
    };

## Description

Stream manipulator for invoking a user-defined function as part of stream output.

### `invoke_manipulator` public construct/copy/destruct

1.     explicit invoke_manipulator(FunctionT const & func);

   Initializing constructor.

2.     explicit invoke_manipulator(FunctionT && func);

   Initializing constructor.

### `invoke_manipulator` public member functions

1.     template<typename StreamT> void output(StreamT & stream) const;

   The method invokes the saved function with the output stream.